import-module .\liteDB.psm1 -force
add-type -path "LiteDB.dll"
function fg_listObject($obj) {$obj.GetEnumerator() | ForEach-Object {[Console]::WriteLine($_.name+ ": "+$_.value)}}
function handleRequest($a) {
	if ($a -eq "L") {
		$sql = "LIST Author FROM Quotes"
		[Console]::WriteLine($sql)
		$a = liteDB $sql $db
		[Console]::WriteLine($a.count)
		Foreach ($i in $a) {
			[Console]::WriteLine($i)
		} 
	} elseif ($a -eq "A") {
		$values = @{Author = "Unknown"; Where ="Where"; Quote =  '{0:yyyyMMdd_HHmmss_ffff}' -f (Get-Date)}
		$sql = "INSERT INTO Quotes VALUES " + ($values | ConvertTo-Json)
		[Console]::WriteLine($sql)
		$p = liteDB $sql $db
		[Console]::WriteLine($p.current.toString() + " row inserted")
	} elseif ($a -eq "D") {
		$sql = "DELETE Quotes WHERE Author = 'Unknown'"
		[Console]::WriteLine($sql)
		$p = liteDB $sql $db
		[Console]::WriteLine($p.current.toString() + " row(s) deleted")
	} elseif ($a -eq "S") {
		$sql = "SELECT _id, TimeStamp, Author, Quote FROM Quotes WHERE Author LIKE '%Smith%' LIMIT 3"
		[Console]::WriteLine($sql)
		$p = liteDB $sql $db
		[Console]::WriteLine($p.count.toString() + " row(s) retrieved")
		Foreach ($i in $p) {
			fg_listObject $i
		}
	} elseif ($a -eq "M") {
		$sql = "UPDATE QUotes SET TimeStamp = '" + '{0:yyyyMMdd_HHmmss_ffff}' -f (Get-Date) + "' WHERE Author LIKE '%Smith%'"
		[Console]::WriteLine($sql)
		$p = liteDB $sql $db
		[Console]::WriteLine($p.current.toString() + " row(s) modified")	
	}		
}
$db = liteDB "Open powershell/Quotes.db"
$listItem = @("--------","L = List Authors","A = Add row","D = Delete rows","M = Modify rows","S = Select","C = Close")
while ($a -ne "C") {
	foreach ($cmd in $listItem) {
		[Console]::WriteLine($cmd)
	}
	$a = Read-Host "Choice"
	cls
	handleRequest $a	
}

$db = liteDB "Close" $db
